curl --request PUT \
--url https://api.example.com/api/v1/cards/{card_id}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/cards/{card_id}/label"
payload = { "label": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>'})
};
fetch('https://api.example.com/api/v1/cards/{card_id}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Set card label
Set or clear a user-defined label (nickname) for a card by Card UUID. Local-only, not sent to provider.
curl --request PUT \
--url https://api.example.com/api/v1/cards/{card_id}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/cards/{card_id}/label"
payload = { "label": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>'})
};
fetch('https://api.example.com/api/v1/cards/{card_id}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"walletAddress": "<string>",
"status": "pending",
"limit": {
"dailyLimit": 123,
"dailyUsage": 0,
"monthlyLimit": 123,
"monthlyUsage": 0,
"lifetimeLimit": 123,
"lifetimeUsage": 0,
"currency": "EUR"
},
"cardData": {
"nameOnCard": "<string>",
"paymentSystem": "<string>",
"lastFour": "<string>",
"expiryDate": "<string>",
"format": "virtual",
"cardName": "<string>"
},
"createdAt": "<string>",
"activated": false,
"billingAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"dailySpend": 0,
"label": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
Request to set a user-defined card label.
Label/nickname (null to clear)
64Response
Successful Response
Card response - universal format for any provider.
Provider-specific card identifier.
Linked wallet address
Card status.
pending, active, blocked, closed Card spending limit.
Show child attributes
Show child attributes
Card display data (non-sensitive).
Show child attributes
Show child attributes
True if card details have been revealed and cached
Address schema for user.
Canonical field names: street_address, address_line_2, city, state, country, zip. Accepts legacy Align/IBAN field names (street_line_1, street_line_2, postal_code) for backward compatibility with existing JSONB data.
Show child attributes
Show child attributes
Total spent today on this card (from fiat_transfers)
User-defined card label/nickname
Was this page helpful?